## org.exist
Class JettyStart

    java.lang.Object
      org.exist.JettyStart

public class JettyStart
extends java.lang.Object

This class provides a main method to start Jetty with eXist. It registers shutdown handlers to cleanly shut down the database and the webserver. If database is NATIVE-CLUSTER, Clustercomunication is configured and started.

Author:
  wolf

Constructor Summary
`JettyStart()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `run(java.lang.String[] args)`
`void` `shutdown()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyStart

    public JettyStart()

Method Detail

### main

    public static void main(java.lang.String[] args)

### run

    public void run(java.lang.String[] args)

### shutdown

    public void shutdown()

Copyright (C) Wolfgang Meier. All rights reserved.